/* info-page.css */

/* HomeInfo.css */

.home-info {
  background: #fff;
}

.home-info .home-info-more {
  display: flex;
  justify-content: center;
  padding: 40px 0 80px;
}

@media all and (max-width: 1119.98px) {
  .home-info .home-info-more {
    padding: 40px 0;
  }
}

.home-info .home-info-container {
  display: flex;
  gap: 64px;
  align-items: start;
  max-width: calc(1120px + 48px);
  padding: 80px 24px; /* TODO:変数定義 */
  margin-inline: auto;
}

@media all and (max-width: 1119.98px) {
  .home-info .home-info-container {
    flex-direction: column;
    gap: 32px;
    align-items: center;
    padding: 56px 16px;
  }
}

.home-info .info-item {
  border-bottom: 1px solid var(--border-color-gray);
}

@media all and (max-width: 1119.98px) {
  .home-info .info-item {
    width: 100%;
  }
}

.home-info .info-item:first-of-type {
  border-top: 1px solid var(--border-color-gray);
}

.home-info .info-item-link {
  position: relative;
  display: flex;
  flex-direction: row;
  gap: 8px 0;
  width: 100%;
  padding: 16px 24px;
  padding-right: 0; /* NOTE: アイコンサイズとその間の余白 */
}

@media all and (max-width: 1119.98px) {
  .home-info .info-item-link {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 8px 0;
    width: 100%;
    padding: 16px 0;
    padding-right: 64px; /* NOTE: アイコンサイズとその間の余白 */
  }
}

.home-info .info-item-meta {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 0 16px;
  align-items: center;
  font-weight: var(--font-weight-bold);
}

.home-info .info-item-tag {
  flex-shrink: 0;
  justify-self: flex-start;
  min-width: 120px;
  padding: 0.5em 1em;
  font-size: 14px;
  line-height: 1;
  color: #217ece;
  text-align: center;
  background: #ebf7ff;
  background: transparent;
  border-radius: var(--radius-full);
}

.home-info .info-item-tag[data-tag-category="重要"] {
  color: #ff3968;
  background: #ffedf0;
}

.home-info .info-item-tag[data-tag-category="一般"] {
  color: #217ece;
  background: #ebf7ff;
}

.home-info .info-item-tag[data-tag-category="店舗"] {
  color: #418a59;
  background: #ddfae6;
}

.home-info .info-item-title {
  flex: 1;
  padding: 0 1em;
  overflow: clip;
  text-overflow: ellipsis;
  font-family: var(--body-font-family-base);
  font-size: 16px;
  font-weight: var(--font-weight-regular); /** 小林 追加 **/
  white-space: nowrap;
}

@media all and (max-width: 1119.98px) {
  .home-info .info-item-title {
    padding: 0;
  }
}

.home-info .info-item-icon {
  position: absolute;
  top: 50%;
  right: 24px;
  width: 24px;
  height: 24px;
  transform: translate(0, -50%);
}

.home-info .info-item-icon > svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* TODO: タブコンポーネントの設計 */

.home-info .tabs {
  display: flex;
  flex-direction: column;
  gap: 24px 0;
  width: 100%;
  max-width: 980px;
  margin: 0 auto;
}

@media all and (max-width: 1119.98px) {
  .home-info .tabs {
    gap: 24px 0;
  }
}

.home-info .tabs .tab-list {
  width: 100%;
}

@media all and (max-width: 1119.98px) {
  .home-info .tabs .tab-list {
    width: 100%;
    overflow-x: auto;
  }
}

.home-info .tabs .tab-list-container {
  display: flex;
  gap: 16px;
  width: 100%;
  max-width: 980px;
}

@media all and (max-width: 1119.98px) {
  .home-info .tabs .tab-list-container {
    display: flex;
    flex-wrap: nowrap;
    gap: 16px;
    width: 100%;
    max-width: max-content;
  }
}

.home-info .tabs .tab-button {
  display: inline-flex;
  gap: 8px;
  align-items: center;
  justify-content: center;
  width: 120px;
  height: 40px;
  padding: 8px 16px;
  font-size: 16px;
  font-weight: var(--font-weight-bold);
  line-height: 1.2;
  vertical-align: bottom;
  border-radius: 999px;
}

@media all and (max-width: 1119.98px) {
  .home-info .tabs .tab-button {
    flex-shrink: 0;
  }
}

.home-info .tabs .tab-button[aria-controls="tab-all"] {
  color: #217ece;
  background: #ebf7ff;
}

.home-info .tabs .tab-button[aria-controls="tab-important"] {
  color: #ff3968;
  background: #ffedf0;
}

.home-info .tabs .tab-button[aria-controls="tab-general"] {
  color: #217ece;
  background: #ebf7ff;
}

.home-info .tabs .tab-button[aria-controls="tab-store"] {
  color: #418a59;
  background: #ddfae6;
}

.home-info .tabs .tab-button[aria-selected="true"] {
  /* style */
}

@media (any-hover: hover) {
  .home-info .tabs :is(.tab-button, .tab-button[aria-selected="true"]):hover {
    /* style */
  }
}

.home-info .tabs .tab-panel {
  display: grid;
  grid-template-columns: 1fr;
  width: 100%;
  max-width: 100%;
  overflow: clip;
}

@media all and (max-width: 1119.98px) {
  .home-info .tabs .tab-panel {
    display: grid;
    grid-template-columns: 1fr;
    width: 100%;
    overflow: clip;
  }
}

.home-info .tabs .tab-content {
  grid-row: 1/2;
  grid-column: 1 / -1;
  width: 100%;
  transition: opacity 0.3s cubic-bezier(0.455, 0.03, 0.515, 0.955); /* easeInOutQuad */
}

@media all and (max-width: 1119.98px) {
  .home-info .tabs .tab-content {
    width: 100%;
    max-width: calc(100vw - 16px);
  }
}

.home-info .tabs .tab-content[aria-hidden="true"] {
  pointer-events: none;
  opacity: 0;
}

.home-info-empty {
  padding: 16px 24px;
}

.home-info-empty-message {
  font-weight: var(--font-weight-bold);
  color: var(--placeholder-color);
}
